### Function

# EBackend Cache sqlite_stmt_printf

since: 3.26

#### Declaration [src]

    gchar*
    e_cache_sqlite_stmt_printf (
      const gchar* format,
      ...
    )

#### Description [src]

Creates an SQLite statement based on the `format` and its arguments. The `format` can contain any values recognized by sqlite3_mprintf().

Available since: 3.26

This function is not directly available to language bindings.

#### Parameters

`format`

  Type: `const gchar*`

  A printf-like format.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments for the `format`.

#### Return value

Type: `gchar*`

A new SQLite statement. Free the returned string with `e_cache_sqlite_stmt_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.